Page MenuHomePhabricator

[sanitizer] NFC:Get type of LargeMmapAllocator from PrimaryAllocator
ClosedPublic

Authored by vitalybuka on Apr 25 2019, 6:21 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

vitalybuka created this revision.Apr 25 2019, 6:21 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptApr 25 2019, 6:21 PM
Herald added subscribers: llvm-commits, Restricted Project, kubamracek. · View Herald Transcript
eugenis added a subscriber: kcc.Apr 29 2019, 12:57 PM

This change includes D61155.

LGTM
I guess this is fine since no one bothered to configure a custom secondary allocator. @kcc

@kcc sanitizer_allocator_combined.h is the main part of the patch

kcc accepted this revision.May 1 2019, 10:39 AM
This revision is now accepted and ready to land.May 1 2019, 10:39 AM
This revision was automatically updated to reflect the committed changes.